version: 25.9.2
files:
  - url: Trezor-Suite-25.9.2-win-x64.exe
    sha512: 9wretPb9Z66/uQ/qT4BamO6Q8JcvAkQqEJPktY6b49M3+I/1h05EAkt+0w0nOk/ua9UgI2arbQcff2iq61FCLQ==
    size: 143298200
path: Trezor-Suite-25.9.2-win-x64.exe
sha512: 9wretPb9Z66/uQ/qT4BamO6Q8JcvAkQqEJPktY6b49M3+I/1h05EAkt+0w0nOk/ua9UgI2arbQcff2iq61FCLQ==
releaseNotes: "### 🚀 New features\n\n- Biometric authentication is now supported—unlock Trezor Suite with Touch ID, Face ID, or Windows Hello for quick access and stronger protection.\n- MEV protection is active by default on Ethereum, Base, and BNB Smart Chain, and can be changed in Settings.\n- A new dashboard overview displays all staked assets in one place for clearer portfolio management.\n- Users can now claim the Cardano Midnight airdrop directly through Trezor Suite.\n\n### 🎨 Improvements\n\n- The approve/revoke flow for EVM token allowances has been redesigned for improved clarity and stronger security.\n- The welcome screen has been refreshed with a more consistent and polished design.\n- The flow for adding EVM accounts has been fixed—users can now add a new account even if the previous one is empty.\n- Send options have been streamlined—Locktime and Broadcast settings are now grouped under\_Advanced Send\_for better organization.\n- Graph messaging has been refined to provide clearer context and usability.\n\n### 🔧 Bug fixes\n\n- Minor bugs have been resolved, along with general usability enhancements for a more reliable and seamless experience.\n"
releaseDate: '2025-09-16T15:25:34.972Z'
stagingPercentage: 20
